package de.intevation.gnv.artifacts;

import de.intevation.artifactdatabase.DefaultArtifactFactory;
import de.intevation.artifactdatabase.ProxyArtifact;
import de.intevation.artifacts.Artifact;
import de.intevation.gnv.artifacts.fis.SelectProductArtifact;

import org.apache.log4j.Logger;

/**
 * @author Ingo Weinzierl <ingo.weinzierl@intevation.de>
 */
public class GNVArtifactFactory extends DefaultArtifactFactory {

    private static Logger logger = Logger.getLogger(GNVArtifactFactory.class);

    public GNVArtifactFactory() {
    }

    @Override
    public Artifact createArtifact(String identifier, Object context) {
        Artifact artifact = super.createArtifact(identifier, context);

        if (artifact instanceof ProxyArtifact) {
            SelectProductArtifact select = new SelectProductArtifact();
            select.setup(identifier, this, context);

            ((ProxyArtifact) artifact).setProxied(select);
        }

        return artifact;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
